Subject: Re: [PATCH 1/6] d80211: change the cookie to be opaque

From: Ivo van Doorn <[email-masked]>
Date: Sun, 5 Nov 2006 16:20:29 +0100

On Friday 03 November 2006 05:15, John W. Linville wrote:
> On Fri, Nov 03, 2006 at 01:46:31AM +0100, Johannes Berg wrote:
> > 
> > > Ok, that one was wrong. But what is it doing in the public API? We need
> > > to remove it from the public API and leave struct net_device *dev as the
> > > parameter. adm8211 actually uses it and increases the tx_fifo_error
> > > counter, but that's a bit strange.
> > 
> > Fixed, and since, as always, netdev doesn't like my patches, they're
> > here instead:
> > 
> > http://johannes.sipsolutions.net/files/d80211-mdev-cleanup/
> > 
> > I also added d80211-reduce-mdev.patch which reduces stupid mdev usage,
> > but see the description in the patch itself.
> 
> 403 Forbidden (shouldn't that be Verboten? :-)
> 
> FWIW, I have the other 6 patches on the 'pending' branch of
> wireless-dev.  Driver authors, please proceed accordingly.

I am currently working on the fixes for rt2x00, the above patches look very good,
and also provide me with a chance to cleanup some garbage in rt2x00. :)
I'll make the patches for this part of my patch series which I will send to the netdev
list in 1 or 2 weeks. (I cannot do it any sooner due to school and work).

Ivo